Retrieve a trailer with given ID.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Trailers under the Trailers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/trailers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "494123",
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the trailer. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: "key:value". For example, "maintenanceId:250020".
OK response.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/trailers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "494123",
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
}